/*
 *========================================================================
 *
 *   시스템명 : 녹색교통 시스템
 *   파 일 명 : ft_ecblcng.pc
 *   작 성 자 : 조보용 (baarong@neighbor21.co.kr)
 *   작 성 일 : 2019.08.13
 *   수 정 일 :
 *   설    명 :
 *
 *========================================================================
*/

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <unistd.h>

#include "bef_chg.h"
#include "dir_path.h"
#include "file_no.h"
#include "file_lb.h"
#include "lb_func_list.h"
#include "func_list.h"
#include "util.h"


/*
 *========================================================================
 *
 *   함 수 명 : make_befchg2
 *   작 성 자 : 조보용 (baarong@neighbor21.co.kr)
 *   작 성 일 : 2020.03.10
 *   수 정 일 :
 *   설    명 : WEB서버에서 메시지를 수신받아 사전등록 변경분 파일을 생성한다.
 *
 *========================================================================
*/
int make_befchg2(char *data)
{
    char path[128], spath[128], tpath[128];
	char mkData[MAX_STRING_SIZE*20 + 1];
    char msg[1024];
    int  isfd, isrc, errflg = 0, res;
	memset(mkData, 0x00, sizeof(mkData));
	snprintf(mkData, strlen(data)+1, "%s", data);
printf("make_befchg [%s][%d]\n", data, strlen(data));
printf("make_befchg 2[%s][%d]\n", mkData, strlen(mkData));

	WriteLog(LogType_StandardOut, LogLevel_Info, "DATA[%s][%d]\n", mkData, strlen(mkData));
    sprintf(path, "%s/%s/ADVCHG", DIR_TCS, DIR_BASEINFO);
    //unlink(path);

    //isrc = Write_File_Char(mkData, strlen(mkData), path);
	
	res = Add_Write_File_Char(mkData, strlen(mkData), path);

    memset(msg, 0x00, sizeof(msg));
    sprintf(msg, "/app/tcs/GREEN_LANE/bin/imsiftp.sh ADC ADVCHG");
    system(msg);

    return(res);
}
